package cn.com.qmth.examcloud.core.oe.admin.api.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.api.commons.security.bean.User;
import cn.com.qmth.examcloud.core.oe.admin.service.ExamStudentService;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.OnHandExamInfo;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Api(tags = "在线考试控制")
@RestController
@RequestMapping("${$rmp.ctr.oe}/examControl")
public class ExamControlController extends ControllerSupport {

	@Autowired
	private ExamStudentService examStudentService;

	/**
	 * 获取在线考试待考列表
	 *
	 * @return
	 */
	@ApiOperation(value = "获取在线考试待考列表")
	@GetMapping("/queryExamList")
	public List<OnHandExamInfo> queryExamList() {
		User user = getAccessUser();
		return examStudentService.queryOnlineExamList(user.getUserId());
	}
}
